Subject: Re: [PATCH net-next 0/2] sunvnet: Packet processing in non-interrupt context.

From: Sowmini Varadhan <[email-masked]>
Date: Wed, 01 Oct 2014 15:55:35 -0400

On 10/01/2014 03:50 PM, David Miller wrote:

>>
>>     A BH Rx handler is a simpler way to  avoid the weaknesses of processing
>>     packets in LDC interrupt context, and also provides Rx load-spreading
>>     across multiple CPUs.
>
> I think you want to re-evaluate this considering napi_gro_receive() which
> is what you should really be calling in a NAPI driver.

Sorry I dont follow the suggestion.

If I make this a NAPI driver that uses napi_gro_receive, I would
still have to deal with a budget, right?

--Sowmini